/*
 * Copyright 1999-2007 Christos KK Loverdos.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ckkloverdos.function;

/**
 * A generic function interface.
 * 
 * @author Christos KK Loverdos
 */
public interface IFunction
{
    /**
     * Evaluates the function for the given <code>object</code>.
     * In case extra parameters are needed, these are given by <code>hints</code>.
     * 
     * @param object
     * @param hints
     */
    public Object evaluate(Object object, Object hints);
}
