/*
 * Copyright 1999-2007 Christos KK Loverdos.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ckkloverdos.tuple;

/**
 * A placeholder for a pair of objects.
 * The size of a pair is always two.
 * 
 * @author Christos KK Loverdos
 */
public interface IPair extends ITuple
{
    /**
     * Returns the first object of the pair.
     */
    public Object getA();

    /**
     * Returns the second object of the pair.
     */
    public Object getB();
}
